'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCardStat = function LargeCardStat(props) {
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { className: 'stats ' + props.className, flexDirection: 'row' },
    _react2['default'].createElement(
      'span',
      { className: 'label' },
      props.name
    ),
    _react2['default'].createElement(
      'span',
      { className: 'value' },
      props.value
    )
  );
};

LargeCardStat.defaultProps = {
  name: '',
  value: 0
};

LargeCardStat.propTypes = {
  name: _react2['default'].PropTypes.string,
  value: _react2['default'].PropTypes.number
};

exports['default'] = LargeCardStat;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardStat.js.map