'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCardTitle = function LargeCardTitle(props) {
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { flexGrow: 3, flexDirection: 'column' },
    _react2['default'].createElement(
      'div',
      { title: props.title, className: 'title' },
      props.title
    ),
    _react2['default'].createElement(
      'div',
      { title: props.description, className: 'text-small textGray' },
      props.description
    )
  );
};

LargeCardTitle.defaultProps = {
  title: '',
  description: ''
};

LargeCardTitle.propTypes = {
  title: _react2['default'].PropTypes.string,
  description: _react2['default'].PropTypes.string
};

exports['default'] = LargeCardTitle;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardTitle.js.map