'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _Icon = require('../suir/icon/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ThinCardDrawer = function ThinCardDrawer(props) {
  return _react2['default'].createElement(
    'div',
    null,
    !props.expanded ? _react2['default'].createElement(
      _flexboxReact2['default'],
      { className: 'drawer', flexDirection: 'row', onClick: props.expandGroupToggle },
      _react2['default'].createElement(_flexboxReact2['default'], { className: 'drawer__side', flexGrow: 3 }),
      _react2['default'].createElement(
        _flexboxReact2['default'],
        { className: 'drawer__center', width: '150px', paddingLeft: '1em', paddingRight: '1em' },
        _react2['default'].createElement(
          _flexboxReact2['default'],
          { alignItems: 'center', className: 'drawer__center_copy', flexGrow: 2 },
          'EXPAND'
        ),
        _react2['default'].createElement(
          _flexboxReact2['default'],
          null,
          _react2['default'].createElement(_Icon2['default'], { className: 'ei arrow_carrot-down text-large' })
        )
      ),
      _react2['default'].createElement(_flexboxReact2['default'], { className: 'drawer__side', flexGrow: 3 })
    ) : _react2['default'].createElement(
      'div',
      null,
      props.children,
      _react2['default'].createElement(
        _flexboxReact2['default'],
        { className: 'drawer', onClick: props.expandGroupToggle },
        _react2['default'].createElement(
          _flexboxReact2['default'],
          { className: 'drawer__center', width: '100%', justifyContent: 'center', paddingLeft: '1em', paddingRight: '1em' },
          _react2['default'].createElement(
            _flexboxReact2['default'],
            { alignItems: 'center', className: 'drawer__center_copy' },
            'COLLAPSE'
          ),
          _react2['default'].createElement(
            _flexboxReact2['default'],
            null,
            _react2['default'].createElement(_Icon2['default'], { className: 'ei arrow_carrot-up text-large' })
          )
        )
      )
    )
  );
};

ThinCardDrawer.defaultProps = {
  expanded: false
};
ThinCardDrawer.propTypes = {
  expanded: _react2['default'].PropTypes.bool,
  onClick: _react2['default'].PropTypes.func

};
exports['default'] = ThinCardDrawer;
module.exports = exports['default'];
//# sourceMappingURL=ThinCardDrawer.js.map